Bug 1175521 - CVE-2004-2771 CVE-2014-7844 nail: mailx: command execution flaw [epel-5]
Summary: CVE-2004-2771 CVE-2014-7844 nail: mailx: command execution flaw [epel-5]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: nail
Version: el5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dmitry Butskoy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2004-2771, CVE-2014-7844
TreeView+ depends on / blocked
 
Reported: 2014-12-17 23:00 UTC by Murray McAllister
Modified: 2015-01-24 18:42 UTC (History)
1 user (show)

Fixed In Version: nail-12.4-1.el5
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-24 18:42:45 UTC


Attachments (Terms of Use)

Description Murray McAllister 2014-12-17 23:00:23 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

epel-5 tracking bug for nail: see blocks bug list for full details of the security issue(s).

This bug is never intended to be made public, please put any public notes
in the blocked bugs.

[bug automatically created by: add-tracking-bugs]

Comment 1 Murray McAllister 2014-12-17 23:00:45 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1162783,1175521

# Description of your update
notes=Security fix for CVE-2004-2771, CVE-2014-7844

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1162783,1175521

Comment 2 Fedora Update System 2015-01-04 19:45:28 UTC
nail-12.4-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/nail-12.4-1.el5

Comment 4 Fedora Update System 2015-01-06 02:07:22 UTC
Package nail-12.4-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing nail-12.4-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-0074/nail-12.4-1.el5
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-01-24 18:42:45 UTC
nail-12.4-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.